package com.navinfo.outdoor.bean;

import java.util.List;

public class TaskPrefectureBean {

    private Integer code;
    private String message;
    private BodyBean body;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        private Integer pageNum;
        private Integer pageSize;
        private Integer totalPage;
        private Integer total;
        private List<ListBean> list;

        public Integer getPageNum() {
            return pageNum;
        }

        public void setPageNum(Integer pageNum) {
            this.pageNum = pageNum;
        }

        public Integer getPageSize() {
            return pageSize;
        }

        public void setPageSize(Integer pageSize) {
            this.pageSize = pageSize;
        }

        public Integer getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(Integer totalPage) {
            this.totalPage = totalPage;
        }

        public Integer getTotal() {
            return total;
        }

        public void setTotal(Integer total) {
            this.total = total;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            private Integer id;
            private String title;
            private String subtitle;
            private Object context;
            private String iconurl;
            private Integer createpid;
            private String createtime;
            private Integer fid;
            private Integer updatepid;
            private String updatetime;
            private Object status;

            public Integer getId() {
                return id;
            }

            public void setId(Integer id) {
                this.id = id;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }

            public String getSubtitle() {
                return subtitle;
            }

            public void setSubtitle(String subtitle) {
                this.subtitle = subtitle;
            }

            public Object getContext() {
                return context;
            }

            public void setContext(Object context) {
                this.context = context;
            }

            public String getIconurl() {
                return iconurl;
            }

            public void setIconurl(String iconurl) {
                this.iconurl = iconurl;
            }

            public Integer getCreatepid() {
                return createpid;
            }

            public void setCreatepid(Integer createpid) {
                this.createpid = createpid;
            }

            public String getCreatetime() {
                return createtime;
            }

            public void setCreatetime(String createtime) {
                this.createtime = createtime;
            }

            public Integer getFid() {
                return fid;
            }

            public void setFid(Integer fid) {
                this.fid = fid;
            }

            public Integer getUpdatepid() {
                return updatepid;
            }

            public void setUpdatepid(Integer updatepid) {
                this.updatepid = updatepid;
            }

            public String getUpdatetime() {
                return updatetime;
            }

            public void setUpdatetime(String updatetime) {
                this.updatetime = updatetime;
            }

            public Object getStatus() {
                return status;
            }

            public void setStatus(Object status) {
                this.status = status;
            }
        }
    }
}
